## Makefile.am -- Process this file with automake to produce Makefile.in

include_HEADERS = *.h
INCLUDES               = -I$(top_srcdir)/src $(top_srcdir)/bindings/csharp/native
lcsharpdir = $(top_srcdir)/bindings/csharp
lib_LTLIBRARIES        = libCLcsharp.la 
libCLcsharp_la_SOURCES  = native/_clucene_binding.cpp native/stdafx.cpp $(top_srcdir)/../src/CLucene/CLMonolithic.cpp

AM_CXXFLAGS= -DOVERRIDE_DEFAULT_CLCONFIG

EXTRA_DIST = src/analysis src/document src/index src/queryParser src/search src/store src/support src/util \
             *.i *.h \
             CLcsharp.csproj \
             libCLcsharp.vcproj \
             clucene.sln

MAINTAINERCLEANFILES = *.suo Makefile.in

DISTCLEANFILES =

MOSTLYCLEANFILES = *.plg *.ncb *.opt *.csproj.user

swig:
	swig -fvirtual -Wall -I../ -I../../src/ -c++ -namespace clucene.net -csharp -o _clucene_binding.cpp.tmp ../clucene.i
	$(SHELL) postswig.sh
